from django.conf.urls import patterns, url
import views


urlpatterns = patterns('',
    url(r'^$', views.dashboard),

    url(r'^stats/$', views.all_statistics),
    url(r'^stats/(?P<stat_code_name>\w+)/$', views.statistics_page),
    url(r'^stats/(?P<stat_code_name>\w+)/json/data/$', views.json_data),
    url(r'^stats/(?P<stat_code_name>\w+)/json/slices/$', views.json_slices),
    url(r'^stats/(?P<stat_code_name>\w+)/json/series/$', views.json_series),
    url(r'^stats/(?P<stat_code_name>\w+)/csv/$', views.csv_data),
    
    url(r'^dashchart/(?P<ref_code_name>\w+)/json/data/$', views.dashchart_data),
    
    url(r'^animation_test/$', views.animation_test),
    
    #url(r'^crash/$', views.crash),
    
)
